# Manual del usuario de KDE

&Lauri.Watts; &Lauri.Watts.mail;
2010-09-18
Entorno de escritorio K
kdesu
1

# `kdesu`

Ejecuta un programa con privilegios elevados

    kdesu -c  orden -d -f  archivo -i  nombre de icono -n -p  prioridad -r -s -t -u  usuario --noignorebutton --attach  winid

    kdesu Opciones genéricas de KDE Opciones genéricas de Qt

## Descripción

&kdesu; es una interfaz gráfica de la orden de &UNIX; `su` para el entorno de escritorio K. Le permite ejecutar un programa como si fuera un usuario distinto, proporcionando la contraseña de este usuario. &kdesu; es un programa sin privilegios que usa la orden del sistema `su`.

&kdesu; tiene una característica adicional: puede recordar contraseñas de forma opcional. Si está usando esta característica, solo necesitará introducir la contraseña una vez para cada orden.

Se debe iniciar este programa desde la línea de órdenes o desde archivos `.desktop`.

Puesto que `kdesu` no está instalado en `$(kde4-config --prefix)`/bin sino en `kde4-config --path libexec` y por tanto no se encuentra en su `Path`, debe utilizar `$(kde4-config --path libexec)`kdesu`` para ejecutar `kdesu`.

## Opciones

`-c orden`

  Especifica que se ejecute el programa como usuario «root». Debe indicarse en un argumento. De este modo, si por ejemplo desease iniciar un nuevo administrador de archivos, escribiría en la línea de órdenes: `$(kde4-config --path libexec)`kdesu `-c &dolphin;```

`-d`

  Muestra información de depurado.

`-f archivo`

  Esta opción permite el uso eficiente de &kdesu; con archivos `.desktop`. Le dice a &kdesu; que examine el archivo especificado en `archivo`. Si el usuario actual puede escribir en este archivo, &kdesu; ejecutará la orden como usuario actual. Si no puede escribir en él, la orden se ejecuta como usuario `usuario` (que de manera predeterminada es «root»).

  `archivo` se evalúa del siguiente modo: si `archivo` empieza por `/`, se considera un nombre de archivo absoluto. En caso contrario, se toma como el nombre de un archivo de configuración global de &kde;.

`-i` nombre de icono

  Especifica el icono a utilizar en el diálogo de contraseña. Puede escribir solo el nombre, sin ninguna extensión.

`-n`

  No guarda la contraseña. Esto desactiva la casilla Guardar contraseña en el diálogo de contraseña.

`-p` prioridad

  Establece el valor de la prioridad. La prioridad es un número arbitrario entre 0 y 100, donde 100 significa la máxima prioridad, y 0 la mínima. El valor predeterminado es 50.

`-r`

  Usa planificación de tiempo real.

`-s`

  Detiene el demonio kdesu. Este es el demonio que guarda temporalmente en segundo plano las contraseñas correctas. Esta característica puede ser desactivada con `-n` cuando se ejecuta &kdesu; inicialmente.

`-t`

  Activa la salida del terminal. Esto desactiva la memorización de la contraseña. Se usa principalmente en depuración; si quiere ejecutar una aplicación en modo consola, utilice en su lugar la orden estándar `su`.

`-u` usuario

  Aunque el uso más común de &kdesu; es ejecutar una orden como superusuario, puede usar cualquier nombre de usuario y su correspondiente contraseña.

`--noignorebutton`

  No mostrar un botón para ignorar.

`--attach` id de la ventana

  Hace que el diálogo sea transitorio para una aplicación de X especificada por el identificador de ventana.

## Ver también

su(1)

Se dispone de documentación de usuario más detallada en help:/kdesu (puede introducir esta URL en &konqueror;, o ejecutar ``khelpcenter` `help:/kdesu``).

## Ejemplos

Ejecuta `kfmclient` como el usuario jim, y muestra el icono de &konqueror; en el diálogo de contraseña:

    $(kde4-config --path libexec)kdesu -u jim -i konqueror kfmclient

## Autores

&kdesu; ha sido escrito por Geert Jansen jansen@kde.org y Pietro Iglio iglio@fub.it.